CVE-2018-19198

critical
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in uriparser before 0.9.0. UriQuery.c allows an out-of-bounds write via a uriComposeQuery* or uriComposeQueryEx* function because the '&' character is mishandled in certain contexts.

References

https://access.redhat.com/errata/RHSA-2019:2280

https://github.com/uriparser/uriparser/blob/uriparser-0.9.0/ChangeLog

https://github.com/uriparser/uriparser/commit/864f5d4c127def386dd5cc926ad96934b297f04e

https://lists.debian.org/debian-lts-announce/2018/11/msg00019.html

Details

Source: MITRE

Published: 2018-11-12

Updated: 2019-08-06

Type: CWE-787

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (14 total)

IDNameProductFamilySeverity
132480NewStart CGSL CORE 5.05 / MAIN 5.05 : uriparser Multiple Vulnerabilities (NS-SA-2019-0239)NessusNewStart CGSL Local Security Checks
critical
131426NewStart CGSL CORE 5.04 / MAIN 5.04 : uriparser Multiple Vulnerabilities (NS-SA-2019-0218)NessusNewStart CGSL Local Security Checks
critical
130607Amazon Linux 2 : uriparser (ALAS-2019-1356)NessusAmazon Linux Local Security Checks
critical
128381CentOS 7 : uriparser (CESA-2019:2280)NessusCentOS Local Security Checks
critical
128270Scientific Linux Security Update : uriparser on SL7.x x86_64 (20190806)NessusScientific Linux Local Security Checks
critical
127703RHEL 7 : uriparser (RHSA-2019:2280)NessusRed Hat Local Security Checks
critical
122178openSUSE Security Update : uriparser (openSUSE-2019-165)NessusSuSE Local Security Checks
critical
121610SUSE SLED15 / SLES15 Security Update : uriparser (SUSE-SU-2019:0228-1)NessusSuSE Local Security Checks
critical
120773Fedora 29 : uriparser (2018-c5c72a45ea)NessusFedora Local Security Checks
critical
120668Fedora 28 : uriparser (2018-a3ef0a026f)NessusFedora Local Security Checks
critical
120635Fedora 28 : mingw-uriparser (2018-96b48b34ae)NessusFedora Local Security Checks
critical
120375Fedora 29 : mingw-uriparser (2018-4003413459)NessusFedora Local Security Checks
critical
119315FreeBSD : uriparser -- Multiple vulnerabilities (3563fae5-f60c-11e8-b513-5404a68ad561)NessusFreeBSD Local Security Checks
critical
119053Debian DLA-1581-1 : uriparser security updateNessusDebian Local Security Checks
critical